package sop_stage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_stage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_stage/move sop_stage MoveSopStage
//
// Get sop stage move | 移动阶段顺序
//
// Get sop stage move | 移动阶段顺序
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopStageMoveReq
//
// Responses:
//  200: BaseMsgResp

func MoveSopStageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopStageMoveReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_stage.NewMoveSopStageLogic(r.Context(), svcCtx)
		resp, err := l.MoveSopStage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
